tvbrowser.extras.favoritesplugin.core

## Class ActorsFavorite

- java.lang.Object
- - tvbrowser.extras.favoritesplugin.core.Favorite
  - - tvbrowser.extras.favoritesplugin.core.ActorsFavorite

-     public class ActorsFavorite
      extends Favorite

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `ActorsFavorite.Configurator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE_ID`

    - ### Fields inherited from class tvbrowser.extras.favoritesplugin.core.Favorite

      `mSearchFormSettings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActorsFavorite(java.io.ObjectInputStream in)`
    `ActorsFavorite(java.lang.String actors)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FavoriteConfigurator` | `createConfigurator()`
    `ActorSearcher` | `getSearcher()` get the program searcher used by this favorite
    `java.lang.String` | `getTypeID()`
    `protected Program[]` | `internalSearchForPrograms()`
    `protected void` | `internalWriteData(java.io.ObjectOutputStream out)`
    `boolean` | `isValidSearch()`
    `boolean` | `matches(Program p)` This function tries to match the given program with the favorite

    - ### Methods inherited from class tvbrowser.extras.favoritesplugin.core.Favorite

      `accept, addExclusion, addToBlackList, clearNewPrograms, clearRemovedPrograms, contains, containsReceiveTarget, getBlackListPrograms, getChannels, getExclusions, getFilterKey, getForwardPlugins, getLimitationConfiguration, getName, getNewPrograms, getPrograms, getReminderConfiguration, getWhiteListPrograms, getWhiteListPrograms, handleContainingPrograms, handleNewGlobalReceiveTargets, hasFilterForKey, isOnBlackList, isProvidingFilter, isRemindAfterDownload, refreshBlackList, refreshPrograms, removeExclusion, removeFromBlackList, removeProgram, reValidateChannelLimitation, revalidatePrograms, searchNewPrograms, setExclusions, setForwardPlugins, setName, setProvideFilter, setRemindAfterDownload, tryToMatch, updatePrograms, updatePrograms, updatePrograms, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_ID

          public static final java.lang.String TYPE_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActorsFavorite

          public ActorsFavorite(java.lang.String actors)

    - #### ActorsFavorite

          public ActorsFavorite(java.io.ObjectInputStream in)
                         throws java.io.IOException,
                                java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

  - ### Method Detail

    - #### getTypeID

          public java.lang.String getTypeID()

      Specified by:
        `getTypeID` in class `Favorite`

    - #### internalWriteData

          protected void internalWriteData(java.io.ObjectOutputStream out)
                                    throws java.io.IOException

      Specified by:
        `internalWriteData` in class `Favorite`
      Throws:
        `java.io.IOException`

    - #### internalSearchForPrograms

          protected Program[] internalSearchForPrograms()
                                                 throws TvBrowserException

      Overrides:
        `internalSearchForPrograms` in class `Favorite`
      Throws:
        `TvBrowserException`

    - #### matches

          public boolean matches(Program p)
                          throws TvBrowserException

      Description copied from class: `Favorite`
      This function tries to match the given program with the favorite
      Overrides:
        `matches` in class `Favorite`
      Parameters:
        `p` - check if this program matches
      Returns:
        `true` if the program matches
      Throws:
        `TvBrowserException` - exception during matching

    - #### getSearcher

          public ActorSearcher getSearcher()
                                    throws TvBrowserException

      Description copied from class: `Favorite`
      get the program searcher used by this favorite
      Overrides:
        `getSearcher` in class `Favorite`
      Returns:
        the program searcher
      Throws:
        `TvBrowserException`

    - #### createConfigurator

          public FavoriteConfigurator createConfigurator()

      Specified by:
        `createConfigurator` in class `Favorite`

    - #### isValidSearch

          public boolean isValidSearch()

      Specified by:
        `isValidSearch` in class `Favorite`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)